Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1069 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

Function ieee80211_node_saveq_drain causes crash on IXP420 platform on station reassociation

Reported by: rozteck@interia.pl Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

When the station is being reassociated it sometimes causes the AP to crash in function ieee80211_node_saveq_drain.

Attachments

node_saveq_drain_crash.fix (0.8 kB) - added by rozteck@interia.pl on 01/08/07 10:38:59.
The following patch fixes the crash
node_saveq_drain_crash_fix.diff (0.8 kB) - added by rozteck@interia.pl on 01/09/07 10:23:50.
This patch adds some NULL pointer checking in ieee80211_node_saveq_drain function preventing from crash. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

Change History

01/08/07 10:38:59 changed by rozteck@interia.pl

  • attachment node_saveq_drain_crash.fix added.

The following patch fixes the crash

01/08/07 10:54:15 changed by mrenzmann

  • version set to trunk.

Please sign off the patch so that it can be committed to the repository after evaluation.

01/08/07 11:23:30 changed by scottr

quick comment: line 35 dereferences vap before checking if it it NULL on line 42.

01/08/07 11:32:17 changed by scottr

err, that comment should have been for #1071.

01/09/07 10:23:50 changed by rozteck@interia.pl

  • attachment node_saveq_drain_crash_fix.diff added.

This patch adds some NULL pointer checking in ieee80211_node_saveq_drain function preventing from crash. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

01/16/07 17:08:28 changed by rozteck@interia.pl

It seems that the crash is being fixed by patch from ticket #907.

06/21/07 22:43:00 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

This should be fixed in trunk.

06/27/07 12:15:27 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:14:46 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.